﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Collections;

namespace WindowsFormsApplication1
{
    public partial class frmConversorIni : Form
    {
        
        string ender1;
        string ender2;
        bool hab = false;

        public frmConversorIni()
        {
            InitializeComponent();
        }

        private void btnAbrir_Click(object sender, EventArgs e)
        {


            OpenFileDialog conversor = new OpenFileDialog();
            conversor.Filter = "txt files (*.ini)|*.ini|All files (*.*)|*.*";
            conversor.FileName = "CONVERSOR.ini";
            conversor.CheckFileExists = true;
            conversor.CheckPathExists = false;

            if (conversor.ShowDialog() == DialogResult.OK)
            {
                ender1 = conversor.FileName; // Pega o endereço do conversor.ini para excluir depois.

                ender2 = conversor.FileName; // Pega o endereço do conversor.ini para alterar o arquivo.
                
                StreamReader streamReader = new StreamReader(conversor.FileName); // Metodo para ler o arquivo conversor.
                
                txtConversor.Text = streamReader.ReadToEnd(); // Colocando o conteudo do conversor na caixa de texto  -read to end para certifica que leu ate a ultima linha do arquivo.
                                             
                streamReader.Close();      // Encerrando a leitura do arquivo, para poder excluir.
                               
                txtConversor.ReadOnly = false;
                hab = true;
            }
                else
                {
                    hab = false;
                }
            }


        private void btnSalvar_Click(object sender, EventArgs e)
        {
            if (hab == true)
            {
                DateTime tempo = Directory.GetCreationTime(ender1); // Pegando a Data de criação do arquivo e colocando na variavel tempo.
                
                
                File.Delete(ender2);
                
                System.IO.TextWriter arquivo = System.IO.File.AppendText(ender1); // Capturando endereço do conversor para que seja criado outro com as alterações feitas.
                                
                 arquivo.WriteLine(txtConversor.Text); // Pegando o conteudo do Conversor.
                                 
                 arquivo.Close(); // Fechando o arquivo.

                 File.SetCreationTime(ender1, tempo); // Gravando a data de criação do arquivo 

                 File.SetLastWriteTime(ender1, DateTime.Now); // Gravando a data de modificação no arquivo

                 MessageBox.Show("Arquivo Salvo com Sucesso !", "Resposta do Sistema",MessageBoxButtons.OK,MessageBoxIcon.Information);

                 DialogResult resposta;
                 resposta = MessageBox.Show("Para que as alterações tenha efeito reinicie o Aplicativo! "+"\n"+"Deseja Fechar o Aplicativo ?", "Resposta do Sistema", MessageBoxButtons.YesNo, MessageBoxIcon.Information);

                 if (resposta == DialogResult.Yes)
                 {
                     Application.Exit();
                
                 }
                 if (resposta == DialogResult.No)
                 txtConversor.Text = "";
                 hab = false;
                 txtConversor.ReadOnly = true;
                 btnAbrir.Focus();

             }

             else 
             {
                 MessageBox.Show("Selecione um Arquivo","Resposta do Sistema",MessageBoxButtons.OK,MessageBoxIcon.Error);
                 btnAbrir.Focus();
             
            }
        }

        private void btnLimpar_Click(object sender, EventArgs e)
        {
            txtConversor.Text = "";
            hab = false;
            txtConversor.ReadOnly = true;
        }

        private void btnVoltar_Click(object sender, EventArgs e)
        {
           
            this.Hide();
        }
    }

}