﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.IO;

namespace WindowsFormsApplication1
{
   
    public partial class frmImpressao : Form
    {
       
        string selecao;
      
        
        int ret;
        StringBuilder sel = new StringBuilder(10);
        
                
        public frmImpressao()
        {
            InitializeComponent();
            
        }

        private void btnEnviar_Click(object sender, EventArgs e)
        {
                       
            string text;
            
            text= rtbTexto.Text; // Pega o o conteudo da caixa de texto

            ret = Sweda.SI300.SI300_iImprimirTexto(text, 0);


            if (ret == 1)
            {
               // Sweda.SI300.SI300_iImprimirTexto("<sl>1</sl>" + "<gui></gui>", 0); //Pula 1 linha e aciona a guilhotina

                rtbTexto.Focus();
            }
            else
            {
                Sweda.SI300.AnalisaErro(ret);
            
            }
        }

        private void btnVoltar_Click(object sender, EventArgs e)
        {
            
            this.Hide();
        }

        private void negritoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rtbTexto.SelectionFont = new Font("Microsoft Sans Serif", 09, FontStyle.Bold);
            selecao = "<b>"+rtbTexto.SelectedText+"</b>";
            rtbTexto.SelectedText = selecao;
                                           
        }

        private void condensadoToolStripMenuItem_Click(object sender, EventArgs e)
        {

            rtbTexto.SelectionFont = new Font("Microsoft Sans Serif", 09, FontStyle.Regular);
            selecao = "<c>" + rtbTexto.SelectedText + "</c>";
            rtbTexto.SelectedText = selecao;

        }

        private void sublinhadoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rtbTexto.SelectionFont = new Font("Microsoft Sans Serif", 09, FontStyle.Underline);

            selecao = "<s>" + rtbTexto.SelectedText + "</s>";
            rtbTexto.SelectedText = selecao;
            
        }

        private void expandidoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rtbTexto.SelectionFont = new Font("Lucida Console", 09, FontStyle.Regular);

            selecao = "<xl>" + rtbTexto.SelectedText + "</xl>";
            rtbTexto.SelectedText = selecao;
        }

        private void larguraDuplaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rtbTexto.SelectionFont = new Font("Impact", 09, FontStyle.Regular);

            selecao = "<da>" + rtbTexto.SelectedText + "</da>";
            rtbTexto.SelectedText = selecao;
        }

        private void centralizarToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rtbTexto.SelectionFont = new Font("Microsoft Sans Serif", 09, FontStyle.Regular);

            selecao = "<ce>" + rtbTexto.SelectedText + "</ce>";
            rtbTexto.SelectedText = selecao;
            rtbTexto.SelectionAlignment = HorizontalAlignment.Center;
        }

        private void áDireitaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rtbTexto.SelectionFont = new Font("Microsoft Sans Serif", 09, FontStyle.Regular);

            selecao = "<ad>" + rtbTexto.SelectedText + "</ad>";
            rtbTexto.SelectedText = selecao;
            rtbTexto.SelectionAlignment = HorizontalAlignment.Right;
        }

        private void regularToolStripMenuItem_Click(object sender, EventArgs e)
        {
            rtbTexto.SelectionFont = new Font("Microsoft Sans Serif", 09, FontStyle.Regular);
            selecao = "<n>" + rtbTexto.SelectedText + "</n>";
            rtbTexto.SelectedText = selecao;
            rtbTexto.SelectionAlignment = HorizontalAlignment.Left;
        }
       
        private void btnLimpar_Click(object sender, EventArgs e)
        {
            rtbTexto.Text = "";
        }

        private void frmImpressao_Load(object sender, EventArgs e)
        {
             ToolTip info = new ToolTip();
            info.AutoPopDelay = 5000;
            info.InitialDelay = 200;
            info.ReshowDelay = 700;

            info.ShowAlways = true;
            info.SetToolTip(this.rtbTexto, "Para formatação de texto, selecione o texto e clique com o botão direito do mouse e escolha uma opção");
        }

        private void btnAbrir_Click(object sender, EventArgs e)
        {

            string path = Directory.GetCurrentDirectory(); // diretorio do executavel.
            OpenFileDialog arqtxt = new OpenFileDialog();
            arqtxt.InitialDirectory = path;
            arqtxt.Filter = "txt files (*.txt) |*.txt";
            arqtxt.CheckFileExists = true;
            arqtxt.CheckPathExists = false;

            if (arqtxt.ShowDialog() == DialogResult.OK)
            {
                
               StreamReader streamReader = new StreamReader(arqtxt.FileName);
               rtbTexto.Text = streamReader.ReadToEnd(); // Colocando o conteudo do arquivo .txt na caixa de texto  -read to end para certifica que leu ate a ultima linha do arquivo.
               streamReader.Close();
            
            }
        }

       

        

       

       
    }
}
